Personal Gentoo overlay, focusing mostly on needed tools and compatibility for the Librem 14 computer.
 - dev-util/rust-analyzer-bin: A versioned ebuild of rust-analyzer-bin.
 - sys-kernel/gnu-sources: An analog to gentoo-sources that tracks the [Linux Libre Kernel][linux-libre].
 - sys-kernel/librem-ec-acpi: An ebuild packaging the [Librem 14 EC ACPI kernel module][ec-acpi]

## Using the Linux Libre Kernel with Gentoo

The sys-kernel/gnu-sources package (and in earlier versions, sys-kernel/libre-sources) tracks the current stable gentoo-sources version for the amd64 architecture. To use it, make sure sys-kernel/gnu-sources is unmasked and accepted, along with the virtual/linux-sources package in this overlay. Then `emerge sys-kernel/gnu-sources`.

The Linux Libre sources operate like any other kernel sources package in Gentoo, so to use it, you will need to set your kernel to it with `eselect kernel`, and then build and install it with `genkernel` or manual kernel compilation.

## Using the Librem EC ACPI kernel module

The Librem EC ACPI kernel module should install and be autoamtically availlable (via modprobe) after installation, using `emerge sys-kernel/librem-ec-acpi`. The module is currently installed to `/lib/modules/<kernel>/librem/`.

When upgrading or installing a new kernel, you will need to do `emerge @modules-rebuild` to install the module for the new kernel.

[linux-libre]: hlinux-libre.fsfla.org/
[ec-acpi]: https://source.puri.sm/nicole.faerber/librem-ec-acpi-dkms
